Issue 20538 - Start of Ooo in a listener mode
Summary: Start of Ooo in a listener mode
Status: UNCONFIRMED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-01 10:25 UTC by xavier
Modified: 2013-02-24 21:09 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description xavier 2003-10-01 10:25:04 UTC
We use every day OpenOffice in the listener mode for using it trought API.
i.e : modify the setup.xml in ooo/share/config/registry/instance/openoffice path
for Ooo to listen on the 8100 port or other.
but, sometimes we need to reinstall OpenOffice due to different reasons like
program corrupt or version update or others
It would be very great to have the option at the installation screens of Ooo to
check if you want to do an installation in a "standalone mode" or in a "listener
mode" and in this last case the possibility to change the - listening port number -
It should be a great feature ...

Xavier.
Comment 1 Olaf Felka 2003-10-01 10:39:17 UTC
of -> sw: please have a look. 
Comment 2 stephan.wunderlich 2003-10-01 15:58:11 UTC
SW: I'm not sure if it is reasonable to add an option to the setup,
that will only be used by a minority and it not really understandable
for the rest. This might be confusing. I thinks it's easier to create
a script that contains a line like

./soffice "-accept=socket,host=localhost,port=8100;urp;" (UNIX)

or

soffice -accept=socket,host=localhost,port=8100;urp; (Windows)

to start those new installations, supposing they are always stored in
the same directory such a script only has to be created once.

Just my 2 cents.

SW->BH: yours to decide ;-)
Comment 3 xavier 2003-10-01 21:50:06 UTC
hum,

I not agree with you, it is not so easier and intuitive to go and modify  
an xml file (for us it must be in the xml file cause we use the
quickstarter and Ooo is started at the beginning of the computer)
I think it would be more clean if it was an option in the installation
procedure , perhaps in "personalized installation" because I
anderstand that not all the people will use this functionality.
But look :
We use Ooo in a listener mode into about 30 computers for now, we plan
to use it with another application for more 200 computers and other
different application into 40 computers !
And I think the future and success of Ooo is in the interoperability
with others applications, listen to me, it would be a great feature 
for the managers and devellopers of Ooo API programs !
With this option , it will be more easier for me to say the person who
is going to install Ooo into newest computers or damaged computers,
hey! make a "personalised installation" in a "listener" mode , thanks !
cause without this, my program will not work !!
For those who don't know the concept of listener mode of OpenOffice, 
(I am the one in my company who know this because I am the one writing
java prog. with Ooo), it is an abstrac thing to go and add :
-accept=socket,host=localhost,port=8100;urp; THIS in the good file ,
and without missing a ";" !!!
please, consider it , it is important.

Xavier.
Comment 4 ace_dent 2008-05-16 02:10:44 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 bettina.haberer 2010-05-21 15:10:05 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".